Kling 4K I2V - Get task status
curl --request GET \
--url https://api.magnific.com/v1/ai/video/kling-4k-i2v/{task-id} \
--header 'x-magnific-api-key: <api-key>'import requests
url = "https://api.magnific.com/v1/ai/video/kling-4k-i2v/{task-id}"
headers = {"x-magnific-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-magnific-api-key': '<api-key>'}};
fetch('https://api.magnific.com/v1/ai/video/kling-4k-i2v/{task-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"generated": [
"https://ai-statics.freepik.com/completed_task_image.jpg"
],
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"status": "COMPLETED"
}
}Kling 4K
Kling 4K I2V - Get task status
Retrieve the status and result of a specific Kling 4K Image-to-Video task by its task ID.
GET
/
v1
/
ai
/
video
/
kling-4k-i2v
/
{task-id}
Kling 4K I2V - Get task status
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Path Parameters
ID of the task
Response
OK - The task exists and the status is returned
Show child attributes
Show child attributes
Example:
{
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"status": "CREATED",
"generated": [
"https://openapi-generator.tech",
"https://openapi-generator.tech"
]
}
Was this page helpful?
⌘I